## IdePipelineStageLauncher IdePipelineStageLauncher |

## Functions

IdePipelineStage * | ide_pipeline_stage_launcher_new ()
IdeSubprocessLauncher * | ide_pipeline_stage_launcher_get_launcher ()
void | ide_pipeline_stage_launcher_set_launcher ()
IdeSubprocessLauncher * | ide_pipeline_stage_launcher_get_clean_launcher ()
void | ide_pipeline_stage_launcher_set_clean_launcher ()
gboolean | ide_pipeline_stage_launcher_get_ignore_exit_status ()
void | ide_pipeline_stage_launcher_set_ignore_exit_status ()
gboolean | ide_pipeline_stage_launcher_get_use_pty ()
void | ide_pipeline_stage_launcher_set_use_pty ()

## Properties

IdeSubprocessLauncher * | clean-launcher | Read / Write
gboolean | ignore-exit-status | Read / Write
IdeSubprocessLauncher * | launcher | Read / Write
gboolean | use-pty | Read / Write

## Types and Values

#define | IDE_TYPE_PIPELINE_STAGE_LAUNCHER
struct | IdePipelineStageLauncherClass
| IdePipelineStageLauncher

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdePipelineStage
                ╰── IdePipelineStageLauncher

## Description

## Functions

### ide_pipeline_stage_launcher_new ()

    IdePipelineStage *
    ide_pipeline_stage_launcher_new (IdeContext *context,
                                     IdeSubprocessLauncher *launcher);

Creates a new IdePipelineStageLauncher that can be attached to an IdePipeline.

#### Parameters

context | An IdeContext |
launcher | An IdeSubprocessLauncher or `NULL`. | [nullable]

#### Returns

An IdePipelineStageLauncher.

[transfer full]

Since: 3.32

### ide_pipeline_stage_launcher_get_launcher ()

    IdeSubprocessLauncher *
    ide_pipeline_stage_launcher_get_launcher
                                   (IdePipelineStageLauncher *self);

#### Returns

An IdeSubprocessLauncher.

[transfer none]

Since: 3.32

### ide_pipeline_stage_launcher_set_launcher ()

    void
    ide_pipeline_stage_launcher_set_launcher
                                   (IdePipelineStageLauncher *self,
                                    IdeSubprocessLauncher *launcher);

### ide_pipeline_stage_launcher_get_clean_launcher ()

    IdeSubprocessLauncher *
    ide_pipeline_stage_launcher_get_clean_launcher
                                   (IdePipelineStageLauncher *self);

#### Returns

An IdeSubprocessLauncher or `NULL`.

[nullable][transfer none]

Since: 3.32

### ide_pipeline_stage_launcher_set_clean_launcher ()

    void
    ide_pipeline_stage_launcher_set_clean_launcher
                                   (IdePipelineStageLauncher *self,
                                    IdeSubprocessLauncher *clean_launcher);

### ide_pipeline_stage_launcher_get_ignore_exit_status ()

    gboolean
    ide_pipeline_stage_launcher_get_ignore_exit_status
                                   (IdePipelineStageLauncher *self);

Gets the "ignore-exit-status" property.

If set to `TRUE`, a non-zero exit status from the subprocess will not cause the build stage to fail.

Since: 3.32

### ide_pipeline_stage_launcher_set_ignore_exit_status ()

    void
    ide_pipeline_stage_launcher_set_ignore_exit_status
                                   (IdePipelineStageLauncher *self,
                                    gboolean ignore_exit_status);

Sets the "ignore-exit-status" property.

If set to `TRUE`, a non-zero exit status from the subprocess will not cause the build stage to fail.

Since: 3.32

### ide_pipeline_stage_launcher_get_use_pty ()

    gboolean
    ide_pipeline_stage_launcher_get_use_pty
                                   (IdePipelineStageLauncher *self);

### ide_pipeline_stage_launcher_set_use_pty ()

    void
    ide_pipeline_stage_launcher_set_use_pty
                                   (IdePipelineStageLauncher *self,
                                    gboolean use_pty);

If `use_pty` is set to `TRUE`, a Pty will be attached to the process.

#### Parameters

self | a IdePipelineStageLauncher |
use_pty | If a Pty should be used |

Since: 3.32

## Types and Values

### IDE_TYPE_PIPELINE_STAGE_LAUNCHER

    #define IDE_TYPE_PIPELINE_STAGE_LAUNCHER (ide_pipeline_stage_launcher_get_type())

### struct IdePipelineStageLauncherClass

    struct IdePipelineStageLauncherClass {
      IdePipelineStageClass parent_class;
    };

### IdePipelineStageLauncher

    typedef struct _IdePipelineStageLauncher IdePipelineStageLauncher;

## Property Details

### The `“clean-launcher”` property

      “clean-launcher”           IdeSubprocessLauncher *

The subprocess launcher for cleaning.

Owner: IdePipelineStageLauncher

Flags: Read / Write

### The `“ignore-exit-status”` property

      “ignore-exit-status”       gboolean

If the exit status of the subprocess should be ignored.

Owner: IdePipelineStageLauncher

Flags: Read / Write

Default value: FALSE

### The `“launcher”` property

      “launcher”                 IdeSubprocessLauncher *

The subprocess launcher to build.

Owner: IdePipelineStageLauncher

Flags: Read / Write

### The `“use-pty”` property

      “use-pty”                  gboolean

If the subprocess should have a Pty attached.

Owner: IdePipelineStageLauncher

Flags: Read / Write

Default value: TRUE